[build-system]
requires = ["setuptools>=61.0"]
build-backend = "setuptools.build_meta"

[project]
name = "swimpde"
version = "0.0.1"
description = "PDE solvers based on SWIM neural networks."
readme = "README.md"
requires-python = ">=3.8"
dynamic = ["dependencies"]
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent",
]

# [tool.setuptools]
# packages = ["swimpde"]
# package-dir = {"" = "src/swimpde"}

[tool.setuptools.packages.find]
include = ["swimpde", "swimpde.Ansatz", "swimpde.Domain", "swimpde.Solver", "swimpde.utils"]

[tool.setuptools.dynamic]
dependencies = {file = ["requirements.txt"]}
